/*
 * Copyright (c) 2022-present Charles7c Authors. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.zayac.admin;

import com.zayac.admin.schedule.CheckRegAndDep;
import com.zayac.admin.system.service.DeptService;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

@SpringBootTest
class ZayacAdminApplicationTests {
    @Autowired
    private CheckRegAndDep checkRegAndDep;
    @Autowired
    private DeptService deptService;

    @Test
    void contextLoads() {
    }

    @Test
    void testSchedule() {
        checkRegAndDep.checkRegistrationAndNewDeposit();
    }

    @Test
    void testQuery() {
        var users = deptService.getDeptWithUsersAndAccounts("minister");
        System.out.println(users);
    }
}
